/* REXX */
/*
   File makevlatex.cmd  2002-01-09  (WaS)
   Creating the LaTeX2e format file for VTeX/2
*/
call setlocal

/* Load REXXUTIL */
ret = RxFuncAdd("SysLoadFuncs", "REXXUTIL", "SysLoadFuncs")
call SysLoadFuncs

/* determine full path of VTeX program */
vtexprog = SysSearchPath("PATH", "vtex.exe")

if vtexprog = "" then
   /* stop here, if the VTeX program does not exist */
   say "I cannot find the VTeX program."
else do

   /* the directory where the LaTeX format source resides: */
   latexdir = filespec("D", vtexprog) || "\texmf\tex\latex\base"
   
   /* the formats directory: */
   fmtdir = filespec("D", vtexprog) || "\vtex\fmt"

   /* execute this script in the formats directory */
   call directory(fmtdir)

   /* delete possibly obsolete texsys.aux */
   call SysFileDelete("texsys.aux")   
   
   /* run IniTeX */
   "vtex -i -s" || latexdir || "\ latex.fid"
   
end

exit

